UMB(4)

NAME
umb - USB Mobile Broadband Interface Model (MBIM) cellular modem driver

SYNOPSIS
device usb
device umb

In loader.conf(5):
umb_load="YES"

DESCRIPTION
The umb driver provides support for USB MBIM devices. If the appropriate hardware is detected, the driver will be loaded automatically by devmatch(8). To load the driver manually, load it in loader.conf(5) or at the loader(8) prompt.

MBIM devices establish connections via cellular networks such as GPRS, UMTS, and LTE. They appear as a regular point-to-point network interface, transporting raw IP frames.

Required configuration parameters like PIN and APN have to be set with umbctl(8). Once the SIM card has been unlocked with the correct PIN, it will remain in this state until the MBIM device is power-cycled. In case the device is connected to an "always-on" USB port, it may be possible to connect to a provider without entering the PIN again even if the system was rebooted.

HARDWARE
The umb driver should support any USB device implementing MBIM, including the following cellular modems:

•   Ericsson H5321gw and N5321gw
•   Fibocom L831-EAU
•   Medion Mobile S4222 (MediaTek OEM)
•   Sierra Wireless EM7345
•   Sierra Wireless EM7455
•   Sierra Wireless EM8805
•   Sierra Wireless MC8305

SEE ALSO
intro(4), netintro(4), usb(4), ifconfig(8), umbctl(8) Universal Serial Bus Communications Class Subclass Specification for Mobile Broadband Interface Model, http://www.usb.org/developers/docs/devclass_docs/MBIM10Errata1_073013.zip.

HISTORY
The umb device driver first appeared in OpenBSD 6.0, NetBSD 9.0, and FreeBSD 15.0.

AUTHORS
-nosplit The umb driver was written by Gerhard Roth <gerhard@openbsd.org> and ported from OpenBSD by Pierre Pronchery <khorben@defora.org>.

CAVEATS
The umb driver does not support IPv6.

Devices which fail to provide a conforming MBIM implementation will probably be attached as some other driver, such as u3g(4).